Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

Sparky on HD still seems to be live

Started by spiff66, February 07, 2015, 12:10:44 PM

Previous topic - Next topic

spiff66

hi,
I installed on HD Sparky Linux 3.6 Razor-Qt i586.
All works fine.
I can install/upgrade packages with apt-get or synaptic but when i launch "System Upgrade" I receive this error message:

"
It's Live System!
Install Sparky on a hard drive then upgrade it.
Exiting now...
"

note:
I have a multi OS system with several linux distro.
During Sparky installation I choose to install grub on the first sector of root partition.
After reboot, in another linux OS, I copied the Sparky /boot/grub/grub.cfg menuentries on my personal 40_custom and I updated grub on MBR.
may depend on it?

I think not, but...

ciao
s.

pavroo

Hi
What user name have you created for the sparky installation?
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

spiff66

The computer name is ste-ms-7360

less /etc/hosts

127.0.0.1       localhost
127.0.1.1       ste-ms-7360
# The following lines are desirable for IPv6 capable hosts
::1     localhost ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts
/etc/hosts (END)

my user name is ste

pavroo

The script check is 'live' user registered in the installed system.
If yes - it displays the message you've seen.
If not just pass the step and makes upgrading.

What you can do is:
Edit, as root the file:
/usr/bin/sparky-aptus-upgrade
Remove or comment out the lines:
# if Live system just quit, don't upgrade
TESTMODE=`grep "1000" /etc/passwd | grep -v "Live"`

if [ "$TESTMODE" = "" ]; then
    $DIALOG $TITLE"$TITLETEXT" $MSGBOX $TEXT"It's Live system!\nInstall Sparky on a hard drive then upgrade it.\n\nExiting now..."
    exit 1
fi

It's temporary solution only.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

spiff66

Ah!  :)

After installation i have changed my UID and my GID for compliance with other OS.

In the script  /usr/bin/sparky-aptus-upgrade  I change 1000 with the correct number and now works!

thank you very much

s.

pavroo

Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

View the most recent posts on the forum